## org.biojava.utils.io
Interface Seekable

All Known Subinterfaces:
  ABIFParser.DataAccess

All Known Implementing Classes:
  CachingInputStream

    public interface Seekable

This interface provides a collective name for IO classes that implement a seek function (e.g., `RandomAccessFile`).

Author:
  Rhett Sutphin (UI CBCB)

Method Summary
`void` `seek(long pos)` Moves the pointer in the inputstream such that the byte starting at `pos` are returned by the next read.

Method Detail

### seek

    void seek(long pos)
              throws IOException

  Moves the pointer in the inputstream such that the byte starting at `pos` are returned by the next read.

  Parameters:
    `pos` - the position to which to seek
  Throws:
    `IOException` - when there's an I/O problem